summaryrefslogtreecommitdiffstats
path: root/network/bitlbee/bitlbee.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/bitlbee/bitlbee.SlackBuild')
-rw-r--r--network/bitlbee/bitlbee.SlackBuild69
1 files changed, 32 insertions, 37 deletions
diff --git a/network/bitlbee/bitlbee.SlackBuild b/network/bitlbee/bitlbee.SlackBuild
index e60bc519f2..878ff540d3 100644
--- a/network/bitlbee/bitlbee.SlackBuild
+++ b/network/bitlbee/bitlbee.SlackBuild
@@ -1,6 +1,7 @@
#!/bin/sh
# SlackBuild Script for bitlbee
+
# Copyright 2007-2010 Michiel van Wessem, Manchester, United Kingdom
# All rights reserved.
#
@@ -24,18 +25,17 @@
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=bitlbee
-VERSION=${VERSION:-1.2.5}
+VERSION=${VERSION:-1.2.7}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i486 ;;
- arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
- *) ARCH=$( uname -m ) ;;
- esac
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
fi
CWD=$(pwd)
@@ -43,22 +43,18 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Set the SSL type to use. Since Slackware-13.0 seems to
-# require gnutls to work properly, we'll use that as default.
-CRYPT=${CRYPT:-gnutls}
-
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e
@@ -71,11 +67,12 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+-exec chmod 755 {} \; -o \
+\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+-exec chmod 644 {} \;
+# This seems to require gnutls to work properly...
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -88,13 +85,13 @@ CXXFLAGS="$SLKCFLAGS" \
--jabber=1 \
--oscar=1 \
--yahoo=1 \
+ --twitter=1 \
--ipv6=1 \
--plugins=1 \
- --events=glib \
- --ssl=$CRYPT \
+ --events=${EVENTS:-glib} \
+ --ssl=${CRYPT:-gnutls} \
--debug=0 \
--build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
if [ -e Makefile.settings ]; then
sed -i "s#CPU=i686#CPU=$ARCH#" Makefile.settings
@@ -104,26 +101,24 @@ make all
make install install-etc install-doc DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/var/lib/$PRGNAM
cp -a COPYING doc/AUTHORS doc/CHANGES doc/CREDITS doc/FAQ doc/INSTALL \
- doc/README doc/bitlbee.xinetd doc/user-guide/user-guide.html \
- doc/user-guide/user-guide.txt doc/user-guide/help.txt \
- $PKG/usr/doc/$PRGNAM-$VERSION
+doc/README doc/bitlbee.xinetd doc/user-guide/user-guide.html \
+doc/user-guide/user-guide.txt doc/user-guide/help.txt \
+$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
# Rewrite the documentation to replace /usr/local/ with /usr
# and /etc/init.d/inetd wih /etc/rc.d/rc.inetd
find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec \
- sed -i 's#/usr/local/#/usr/#' {} \;
+sed -i 's#/usr/local/#/usr/#' {} \;
find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec \
- sed -i 's#/etc/init.d/inetd#/etc/rc.d/rc.inetd#' {} \;
+sed -i 's#/etc/init.d/inetd#/etc/rc.d/rc.inetd#' {} \;
mv $PKG/etc/$PRGNAM/$PRGNAM.conf $PKG/etc/$PRGNAM/$PRGNAM.conf.new
mv $PKG/etc/$PRGNAM/motd.txt $PKG/etc/$PRGNAM/motd.txt.new